Bug 1012113 - having lvm2 python bindings installed breaks mock builds
having lvm2 python bindings installed breaks mock builds
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tony Asleson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-25 14:11 EDT by Chris Leech
Modified: 2014-01-19 22:03 EST (History)
11 users (show)

See Also:
Fixed In Version: lvm2-2.02.98-14.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-19 22:03:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Leech 2013-09-25 14:11:16 EDT
Description of problem:

If lvm2-python-libs is installed, yum will load the python module and initialize the lvm2 library.  On initialization /etc/lvm/lvm.conf is read and, with the default configuration, umask is changed from 022 to 077.  Having umask set to 077 while yum is running breaks mock builds with reported permission errors on the created RPM database files when attempting to run repoquery.

Version-Release number of selected component (if applicable):

lvm2-python-libs-2.02.98-12.fc19.x86_64
lvm2-2.02.98-12.fc19.x86_64
lvm2-libs-2.02.98-12.fc19.x86_64
yum-3.4.3-106.fc19.noarch
yum-utils-1.1.31-17.fc19.noarch
mock-1.1.33-1.fc19.noarch
rpm-4.11.1-3.fc19.x86_64

How reproducible:
100%

Steps to Reproduce:
1. install lvm2-python-libs
2. attempt a mock build of any srpm as a non-root user

Actual results:
build fails

Expected results:
build succeeds

Additional info:
Comment 1 Tony Asleson 2013-12-23 14:22:33 EST
Fix committed to upstream: 
http://www.redhat.com/archives/lvm-devel/2013-December/msg00104.html
Comment 2 Fedora Update System 2014-01-15 10:20:45 EST
lvm2-2.02.98-14.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/lvm2-2.02.98-14.fc19
Comment 3 Fedora Update System 2014-01-16 02:01:03 EST
Package lvm2-2.02.98-14.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lvm2-2.02.98-14.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-0900/lvm2-2.02.98-14.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2014-01-19 22:03:04 EST
lvm2-2.02.98-14.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.